import { CompilationContext } from './CompilationContext';
/** Implementation of {@link CompilationContext}. */
export declare class CompilationContextImpl implements CompilationContext {
    private _outputDir;
    private readonly _sourceFiles;
    readonly baseDirectory: string;
    generateReplicaSite: boolean;
    generateArchive: boolean;
    constructor(baseDir?: string);
    get outputDirectory(): string;
    get sourceFiles(): readonly string[];
    outputDir(outputDir: string): this;
    source(filePath: string): this;
    sources(...paths: string[]): this;
    compileSession(): Promise<string[]>;
}
