import { CompilationContext } from './CompilationContext';
export { CompilationContext };
/**
 * Creates a compilation context to prepare the compilation of session capture chunks.
 *
 * @param baseDir base directory to resolve relative path to source files or target directory. Defaults to current dir.
 */
export declare function createCompilationContext(baseDir?: string): CompilationContext;
